Bug 22097 - CataloguingLog should be suppressed for item branch transfers
Summary: CataloguingLog should be suppressed for item branch transfers
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 18816
Blocks: 22160
  Show dependency treegraph
 
Reported: 2019-01-10 19:31 UTC by Kyle M Hall
Modified: 2019-02-15 06:50 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22097: CataloguingLog should be suppressed for item branch transfers (1.21 KB, patch)
2019-01-10 19:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22097: CataloguingLog should be suppressed for item branch transfers (1.24 KB, patch)
2019-01-10 19:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22097: CataloguingLog should be suppressed for item branch transfers (1.30 KB, patch)
2019-02-03 10:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2019-01-10 19:31:06 UTC
Bug 18816 missed the fact that a branch transfer triggers ModItem and thus generates an action log line. We should not be creating those action logs, especially considering the transfers table itself already documents the transfer.
Comment 1 Kyle M Hall 2019-01-10 19:35:39 UTC
Created attachment 83773 [details] [review]
Bug 22097: CataloguingLog should be suppressed for item branch transfers

Bug 18816 missed the fact that a branch transfer triggers ModItem and thus generates an action log line. We should not be creating those action logs, especially considering the transfers table itself already documents the transfer.

Test Plan:
1) Enable CataloguingLog
2) Transfer an item to another branch
3) Note the new action log line created
4) Apply this patch
5) Create another item transfer
6) No new action log line should be created!
Comment 2 Owen Leonard 2019-01-10 19:57:06 UTC
Created attachment 83774 [details] [review]
Bug 22097: CataloguingLog should be suppressed for item branch transfers

Bug 18816 missed the fact that a branch transfer triggers ModItem and
thus generates an action log line. We should not be creating those
action logs, especially considering the transfers table itself already
documents the transfer.

Test Plan:
1) Enable CataloguingLog
2) Transfer an item to another branch
3) Note the new action log line created
4) Apply this patch
5) Create another item transfer
6) No new action log line should be created!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Kyle M Hall 2019-01-11 19:17:38 UTC
Thanks Owen!
Comment 4 Katrin Fischer 2019-02-03 10:28:12 UTC
Created attachment 84678 [details] [review]
Bug 22097: CataloguingLog should be suppressed for item branch transfers

Bug 18816 missed the fact that a branch transfer triggers ModItem and
thus generates an action log line. We should not be creating those
action logs, especially considering the transfers table itself already
documents the transfer.

Test Plan:
1) Enable CataloguingLog
2) Transfer an item to another branch
3) Note the new action log line created
4) Apply this patch
5) Create another item transfer
6) No new action log line should be created!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-02-03 10:28:42 UTC
Behaviour of ModItem with and without the logging flag is already tested.
Comment 6 Nick Clemens 2019-02-04 17:46:20 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-11 13:45:37 UTC
Pushed to 18.11.x for 18.11.03
Comment 8 Lucas Gass 2019-02-12 21:14:16 UTC
backported to 18.05.x for 18.05.09
Comment 9 Fridolin SOMERS 2019-02-15 06:50:40 UTC
Depends on Bug 18816 not in 17.11.x